{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "dd8fc181d56389cf65ae4d2d628fd20c3e0a7981";
      sha256 = "1bmly5jlpgl4r385ykmjkng4dzwcalh5cr25cnk2l16s8ysqwdsl";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude ];

  source = true;
}
