{
  name = "solo5-multi";
  machine = { pkgs, ... }: {
    genode.init.children.tests = {
      configFile = "${./.}/solo5.dhall { isAarch64 = ${
          if pkgs.stdenv.hostPlatform.isAarch64 then "True" else "False"
        } }";
      inputs = with pkgs.genodePackages; [
        solo5
        solo5.tests
        nic_bridge
        nic_loopback
        sequence
        vfs_block
        vfs_import
        (genodeSources.make "app/ping")
      ];
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output("child \"tests\" exited with exit value 0")
  '';
}
